# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wmlaptop
Version:        1.4
Release:        alt1_12
Summary:        A dock application to monitor your laptop's battery and more
License:        GPLv2
Group:          Monitoring

URL:            http://wmlaptop.sourceforge.net
Source0:        https://sourceforge.net/projects/wmlaptop/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz

#replace all calls to /proc/acpi to /sys/class/power_supply
Patch0:         wmlaptop-1.4-sysfs.patch

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(x11) 
Source44: import.info


%description
Wmlaptop is a dock application for WindowMaker, or any other window
manager that supports docking, which includes all that a Linux user
with a laptop needs. The smartest should have guess that wmlaptop
includes an advanced battery information interface, with an estimated
battery duration time indicator. But that's only one of the useful
functions provided by wmlaptop, checkout the README file in
%{_docdir}/%{name} for more information.


%prep
%setup -q 
%patch0



%build
%make_build CFLAGS="%optflags" LIBDIR=""


%install
chmod 644 README*
install -D -m 755 src/wmlaptop %{buildroot}%{_bindir}/%{name}


%files
%doc AUTHORS CHANGELOG LICENSE BUGS README README.IT THANKS
%{_bindir}/%{name}





%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.4-alt1_12
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_11
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_10
- update by mgaimport

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_9
- new version

